ZGTTS2(3f)

NAME
ZGTTS2 - one of the systems of equations A * X = B, A**T * X = B, or A**H * X = B,

SYNOPSIS

SUBROUTINE ZGTTS2(
    ITRANS, N, NRHS, DL, D, DU, DU2, IPIV, B, LDB )

INTEGER
    ITRANS, LDB, N, NRHS

INTEGER
    IPIV( * )

COMPLEX*16
    B( LDB, * ), D( * ), DL( * ), DU( * ), DU2( * )

PURPOSE
ZGTTS2 solves one of the systems of equations
   A * X = B, A**T * X = B, or A**H * X = B, with a tridiagonal matrix A using the LU factorization computed by ZGTTRF.

ARGUMENTS

ITRANS  (input) INTEGER
    Specifies the form of the system of equations. = 0: A * X = B (No transpose)
    = 1: A**T * X = B (Transpose)
    = 2: A**H * X = B (Conjugate transpose)

N       (input) INTEGER
    The order of the matrix A.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

DL      (input) COMPLEX*16 array, dimension (N-1)
    The (n-1) multipliers that define the matrix L from the LU factorization of A.

D       (input) COMPLEX*16 array, dimension (N)
    The n diagonal elements of the upper triangular matrix U from the LU factorization of A.

DU      (input) COMPLEX*16 array, dimension (N-1)
    The (n-1) elements of the first super-diagonal of U.

DU2     (input) COMPLEX*16 array, dimension (N-2)
    The (n-2) elements of the second super-diagonal of U.

IPIV    (input) INTEGER array, dimension (N)
    The pivot indices; for 1 <= i <= n, row i of the matrix was interchanged with row IPIV(i). IPIV(i) will always be either i or i+1; IPIV(i) = i indicates a row interchange was not required.

B       (input/output) COMPLEX*16 array, dimension (LDB,NRHS)
    On entry, the matrix of right hand side vectors B. On exit, B is overwritten by the solution vectors X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).